Request
curl https://sandbox.api.lendeasy.ai /v1/servicing/admin/hardship-policies \
-H "Authorization: Bearer $TOKEN" \
-H "LendEasy-Tenant: $TENANT" await fetch(`https://sandbox.api.lendeasy.ai /v1/servicing/admin/hardship-policies` , {
method: "GET" ,
headers: { Authorization: `Bearer ${token}` , "LendEasy-Tenant" : tenant },
});requests.get(
f"https://sandbox.api.lendeasy.ai /v1/servicing/admin/hardship-policies" ,
headers={"Authorization" : f"Bearer {token}" , "LendEasy-Tenant" : tenant},
)200 400 401 403 404
{
"commonGuardrails": {
"version": 2 ,
"activatedAt": "2026-07-01T09: 00 :00Z",
"guardrails": {
"guardrailVersion": 2 ,
"minimumLoanAgeInstallments": 1 ,
"maximumActiveHardshipCasesPerLoan": 1 ,
"requireVerifiedContactForOffer": true ,
"requireWorkflowConfirmedEvidence": true ,
"prohibitPrincipalForgiveness": true ,
"prohibitRateChange": true ,
"specialistConditions": [
"BANKRUPTCY",
"LITIGATION",
"FRAUD_INVESTIGATION",
"DECEASED",
"LEGAL_HOLD",
"RECOVERY_PLACEMENT"
],
"offerValidityHoursMaximum": 168 ,
"documentDeadlineHoursMaximum": 504 ,
"maximumDeferredPayments": 6 ,
"reevaluateOnMaterialLoanDrift": true
}
},
"programs": [
{
"programCode": "MEDICAL_LEAVE_DEFERRAL_V1",
"displayName": "Medical Leave Deferral",
"hardshipReasonCode": "MEDICAL_LEAVE",
"description": "Defers the loan-repayment portion of scheduled payments to maturity during documented temporary medical leave.",
"state": "ACTIVE",
"activeVersion": 1 ,
"effectiveFrom": "2026-01-01",
"effectiveTo": null ,
"summary": {
"reliefType": "DEFER_SCHEDULED_INSTALLMENTS_TO_MATURITY",
"straightThroughMaximum": 3 ,
"humanApprovalMaximum": 6 ,
"humanApprovalPermission": "APPROVE_SERVICING_HARDSHIP_DEFERRAL_UP_TO_6",
"requiredEvidenceCode": "DOCTORS_MEDICAL_LEAVE_CERTIFICATE",
"offerValidityHours": 168 ,
"ruleCount": 8 ,
"scope": {
"productClasses": [
"COVERED_CONSUMER"
],
"jurisdictions": [
"US"
],
"currencies": [
"USD"
],
"repaymentFrequencies": [
"MONTHLY"
],
"requiredNativeCapability": "DEFER_SCHEDULED_INSTALLMENTS_TO_MATURITY"
},
"workflow": {
"caseType": "HARDSHIP_ASSISTANCE",
"workflowKey": "MEDICAL_LEAVE_HARDSHIP_V1"
}
},
"versionCount": 2
}
],
"portfolioValid": true
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "400",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "validation.msg.validation.errors.exist",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "401",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authenticated",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "403",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.not.authorized",
"errors": []
}{
"developerMessage": "Request was understood but rejected; inspect errors for field-level causes.",
"httpStatusCode": "404",
"defaultUserMessage": "The request could not be applied.",
"userMessageGlobalisationCode": "error.msg.resource.not.found",
"errors": []
}